package com.djhk.uav.equ.domain;


import com.djhk.common.annotation.Excel;
import com.djhk.common.core.domain.BaseEntity;

/**
 * 设备型号对象 equ_model
 * 
 * @author huangqg
 * @date 2023-06-01
 */
public class EquModel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 型号标识 */
    private Long modelId;

    /** 类别标识 */
    @Excel(name = "类别标识")
    private String typeId;

    /** 型号编码 */
    @Excel(name = "型号编码")
    private String modelCode;

    /** 型号名称 */
    @Excel(name = "型号名称")
    private String modelName;

    /** 显示顺序 */
    private Long showOrder;

    /** 删除标志 */
    private String delMark;

    /** 静态模型 */
//    @Excel(name = "静态模型")
    private Long dynModelFile;

    /** 动态模型 */
//    @Excel(name = "动态模型")
    private Long staModelFile;

    /** 图标 */
//    @Excel(name = "图标")
    private Long iconFile;

    private String staModelFilePath;

    private String dynModelFilePath;

    private String iconFilePath;

    private String staModelFileName;

    private String dynModelFileName;

    private String iconFileName;



    public void setModelId(Long modelId) 
    {
        this.modelId = modelId;
    }

    public Long getModelId() 
    {
        return modelId;
    }
    public void setTypeId(String typeId) 
    {
        this.typeId = typeId;
    }

    public String getTypeId() 
    {
        return typeId;
    }
    public void setModelCode(String modelCode) 
    {
        this.modelCode = modelCode;
    }

    public String getModelCode() 
    {
        return modelCode;
    }
    public void setModelName(String modelName) 
    {
        this.modelName = modelName;
    }

    public String getModelName() 
    {
        return modelName;
    }
    public void setShowOrder(Long showOrder) 
    {
        this.showOrder = showOrder;
    }

    public Long getShowOrder() 
    {
        return showOrder;
    }
    public void setDelMark(String delMark) 
    {
        this.delMark = delMark;
    }

    public String getDelMark() 
    {
        return delMark;
    }
    public void setDynModelFile(Long dynModelFile) 
    {
        this.dynModelFile = dynModelFile;
    }

    public Long getDynModelFile() 
    {
        return dynModelFile;
    }
    public void setStaModelFile(Long staModelFile) 
    {
        this.staModelFile = staModelFile;
    }

    public Long getStaModelFile() 
    {
        return staModelFile;
    }
    public void setIconFile(Long iconFile) 
    {
        this.iconFile = iconFile;
    }

    public Long getIconFile() 
    {
        return iconFile;
    }

    public String getStaModelFilePath() {
        return staModelFilePath;
    }

    public void setStaModelFilePath(String staModelFilePath) {
        this.staModelFilePath = staModelFilePath;
    }

    public String getDynModelFilePath() {
        return dynModelFilePath;
    }

    public void setDynModelFilePath(String dynModelFilePath) {
        this.dynModelFilePath = dynModelFilePath;
    }

    public String getIconFilePath() {
        return iconFilePath;
    }

    public void setIconFilePath(String iconFilePath) {
        this.iconFilePath = iconFilePath;
    }

    public String getStaModelFileName() {
        return staModelFileName;
    }

    public void setStaModelFileName(String staModelFileName) {
        this.staModelFileName = staModelFileName;
    }

    public String getDynModelFileName() {
        return dynModelFileName;
    }

    public void setDynModelFileName(String dynModelFileName) {
        this.dynModelFileName = dynModelFileName;
    }

    public String getIconFileName() {
        return iconFileName;
    }

    public void setIconFileName(String iconFileName) {
        this.iconFileName = iconFileName;
    }
}
